Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.jdom
Interface IDOMMethod

All Superinterfaces:
  Cloneable, IDOMMember, IDOMNode

Deprecated. The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

public interface IDOMMethod
extends IDOMMember

Represents a method declaration. The corresponding syntactic units are MethodDeclaration (JLS2 8.4), ConstructorDeclaration (JLS2 8.8), and AbstractMethodDeclaration (JLS2 9.4). A method has no children and its parent is a type. Local classes are considered to be part of the body of a method, not a child. Annotation type members, added in J2SE 1.5, are represented as methods.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

Method Summary
`void` | `addException(String exceptionType)` Deprecated. Adds the given exception to the end of the list of exceptions this method is declared to throw.
`void` | `addParameter(String type, String name)` Deprecated. Adds the given parameter to the end of the parameter list.
`String` | `getBody()` Deprecated. Returns the body of this method.
`String` | `getDefault()` Deprecated. Returns the default value expression for an annotation type member.
`String[]` | `getExceptions()` Deprecated. Returns the names of the exception types this method throws in the order in which they are declared in the source, or an empty array if this method declares no exception types.
`String` | `getName()` Deprecated. The `IDOMMethod` refinement of this `IDOMNode` method returns the name of this method.
`String[]` | `getParameterNames()` Deprecated. Returns the names of parameters in this method in the order they are declared, or `null` if no parameters are declared.
`String[]` | `getParameterTypes()` Deprecated. Returns the type names for the parameters of this method in the order they are declared, or `null` if no parameters are declared.
`String` | `getReturnType()` Deprecated. Returns the return type name, or `null`.
`String[]` | `getTypeParameters()` Deprecated. Returns the formal type parameters for this method.
`boolean` | `isConstructor()` Deprecated. Returns whether this method is a constructor.
`void` | `setBody(String body)` Deprecated. Sets the body of this method.
`void` | `setConstructor(boolean b)` Deprecated. Sets whether this method represents a constructor.
`void` | `setDefault(String defaultValue)` Deprecated. Sets the default value expression for an annotation type member.
`void` | `setExceptions(String[] exceptionTypes)` Deprecated. Sets the names of the exception types this method throws, in the order in which they are declared in the source.
`void` | `setName(String name)` Deprecated. The `IDOMMethod` refinement of this `IDOMNode` method sets the name of this method.
`void` | `setParameters(String[] types, String[] names)` Deprecated. Sets the types and names of parameters in this method in the order they are to be declared.
`void` | `setReturnType(String type)` Deprecated. Sets the return type name.
`void` | `setTypeParameters(String[] typeParameters)` Deprecated. Sets the formal type parameters for this method.

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMMember
`getComment, getFlags, setComment, setFlags`

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

Method Detail

### addException

    public void addException(String exceptionType)
                      throws IllegalArgumentException

  Deprecated.
  Adds the given exception to the end of the list of exceptions this method is declared to throw. The syntax for an exception type name is defined by Method Throws (JLS2 8.4.4). Type names must be specified as they would appear in source code. For example: `"IOException"` or `"java.io.IOException"`. This is a convenience method for `setExceptions`.

  Parameters:
    `exceptionType` - the exception type
  Throws:
    `IllegalArgumentException` - if `null` is specified
  See Also:
    `setExceptions(String[])`

### addParameter

    public void addParameter(String type,
                             String name)
                      throws IllegalArgumentException

  Deprecated.
  Adds the given parameter to the end of the parameter list. This is a convenience method for `setParameters`. The syntax for parameter names is defined by Formal Parameters (JLS2 8.4.1). The syntax for type names is defined by Formal Parameters (JLS2 8.4.1). Type names must be specified as they would appear in source code. For example: `"File"`, `"java.io.File"`, or `"int[]"`.

  Parameters:
    `type` - the type name
    `name` - the parameter name
  Throws:
    `IllegalArgumentException` - if `null` is specified for either the type or the name
  See Also:
    `setParameters(String[], String[])`

### getBody

    public String getBody()

  Deprecated.
  Returns the body of this method. The method body includes all code following the method declaration, including the enclosing braces.

  Returns:
    the body, or `null` if the method has no body (for example, for an abstract or native method)

### setDefault

    public void setDefault(String defaultValue)

  Deprecated.
  Sets the default value expression for an annotation type member.

  Parameters:
    `defaultValue` - the default value expression, or `null` indicating the member does not have a default value
  Since:
    3.0

### getDefault

    public String getDefault()

  Deprecated.
  Returns the default value expression for an annotation type member.

  Returns:
    the default value expression, or `null` indicating the member does not have a default value
  Since:
    3.0

### getExceptions

    public String[] getExceptions()

  Deprecated.
  Returns the names of the exception types this method throws in the order in which they are declared in the source, or an empty array if this method declares no exception types. The syntax for an exception type name is defined by Method Throws (JLS2 8.4.4). Type names appear as they would in source code. For example: `"IOException"` or `"java.io.IOException"`.

  Returns:
    the list of exception types

### getTypeParameters

    public String[] getTypeParameters()

  Deprecated.
  Returns the formal type parameters for this method. Returns an empty array if this method has no formal type parameters.

  Formal type parameters are as they appear in the source code; for example: `"X extends List<String> & Serializable"`.

  Returns:
    the formal type parameters of this method, in the order declared in the source, an empty array if none
  Since:
    3.0

### getName

    public String getName()

  Deprecated.
  The `IDOMMethod` refinement of this `IDOMNode` method returns the name of this method. Returns `null` for constructors. The syntax for a method name is defined by Identifier of MethodDeclarator (JLS2 8.4).

  Specified by:
    `getName` in interface `IDOMNode`
  Returns:
    the name of this method or `null` for constructors

### getParameterNames

    public String[] getParameterNames()

  Deprecated.
  Returns the names of parameters in this method in the order they are declared, or `null` if no parameters are declared. The syntax for parameter names is defined by Formal Parameters (JLS2 8.4.1).

  Returns:
    the list of parameter names, or `null` if no parameters are declared

### getParameterTypes

    public String[] getParameterTypes()

  Deprecated.
  Returns the type names for the parameters of this method in the order they are declared, or `null` if no parameters are declared. The syntax for type names is defined by Formal Parameters (JLS2 8.4.1). Type names must be specified as they would appear in source code. For example: `"File"`, `"java.io.File"`, or `"int[]"`.

  Returns:
    the list of parameter types, or `null` if no parameters are declared

### getReturnType

    public String getReturnType()

  Deprecated.
  Returns the return type name, or `null`. Returns `null` for constructors. The syntax for return type name corresponds to ReturnType in MethodDeclaration (JLS2 8.4). Names are returned as they appear in the source code; for example: `"File"`, `"java.io.File"`, `"int[]"`, or `"void"`.

  Returns:
    the return type

### isConstructor

    public boolean isConstructor()

  Deprecated.
  Returns whether this method is a constructor.

  Returns:
    `true` for constructors, and `false` for methods

### setBody

    public void setBody(String body)

  Deprecated.
  Sets the body of this method. The method body includes all code following the method declaration, including the enclosing braces. No formatting or syntax checking is performed on the body.

  Parameters:
    `body` - the body, or `null` indicating the method has no body (for example, for an abstract or native method)

### setConstructor

    public void setConstructor(boolean b)

  Deprecated.
  Sets whether this method represents a constructor.

  Parameters:
    `b` - `true` for constructors, and `false` for methods

### setExceptions

    public void setExceptions(String[] exceptionTypes)

  Deprecated.
  Sets the names of the exception types this method throws, in the order in which they are declared in the source. An empty array indicates this method declares no exception types. The syntax for an exception type name is defined by Method Throws (JLS2 8.4.4). Type names must be specified as they would appear in source code. For example: `"IOException"` or `"java.io.IOException"`.

  Parameters:
    `exceptionTypes` - the list of exception types

### setTypeParameters

    public void setTypeParameters(String[] typeParameters)

  Deprecated.
  Sets the formal type parameters for this method.

  Formal type parameters are given as they appear in the source code; for example: `"X extends List<String> & Serializable"`.

  Parameters:
    `typeParameters` - the formal type parameters of this method, in the order to appear in the source, an empty array if none
  Since:
    3.0

### setName

    public void setName(String name)
                 throws IllegalArgumentException

  Deprecated.
  The `IDOMMethod` refinement of this `IDOMNode` method sets the name of this method. The syntax for a method name is defined by Identifer of MethodDeclarator (JLS2 8.4).

  The name of a constructor is always `null` and thus it must not be set.

  Specified by:
    `setName` in interface `IDOMNode`
  Parameters:
    `name` - the given name
  Throws:
    `IllegalArgumentException` - if `null` is specified

### setParameters

    public void setParameters(String[] types,
                              String[] names)
                       throws IllegalArgumentException

  Deprecated.
  Sets the types and names of parameters in this method in the order they are to be declared. If both `types` and `names` are `null` this indicates that this method has no parameters. The syntax for parameter names is defined by Formal Parameters (JLS2 8.4.1). The syntax for type names is defined by Formal Parameters (JLS2 8.4.1). Type names must be specified as they would appear in source code. For example: `"File"`, `"java.io.File"`, or `"int[]"`.

  Parameters:
    `types` - the list of type names
    `names` - the list of parameter name
  Throws:
    `IllegalArgumentException` - if the number of types and names do not match, or if either argument is `null`

### setReturnType

    public void setReturnType(String type)
                       throws IllegalArgumentException

  Deprecated.
  Sets the return type name. This has no effect on constructors. The syntax for return type name corresponds to ReturnType in MethodDeclaration (JLS2 8.4). Type names are specified as they appear in the source code; for example: `"File"`, `"java.io.File"`, `"int[]"`, or `"void"`.

  Parameters:
    `type` - the return type
  Throws:
    `IllegalArgumentException` - if `null` is specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.